/* Remove Messenger
   Copyright  2002 by Next Generation.
   Written by Chris Hansen.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
   
   ---
   
   Please send comments, bugreports and patches to <chris@ngweb.biz>.
   Visit this website for more information: http://www.ngweb.biz/
 */

#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#include <shellapi.h>

#define APP_NAME TEXT("Remove Messenger")

BOOL
IsWinXP (void)
{
  OSVERSIONINFO ovi;
  
  ovi.dwOSVersionInfoSize = sizeof (OSVERSIONINFO);
  GetVersionEx (&ovi);
  
  return ovi.dwMajorVersion >= 5 && ovi.dwMinorVersion >= 1 && ovi.dwPlatformId == VER_PLATFORM_WIN32_NT ? TRUE : FALSE;
}

int WINAPI
WinMain (HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR lpCmdLine, int nCmdShow)
{
  TCHAR sCommand[MAX_PATH], sWinDir[MAX_PATH];
  
  /* Is this platform a Windows XP version? */
  if (!IsWinXP ())
    {
      MessageBoxEx (NULL, TEXT ("\"Remove Messenger\" only works on Windows XP or above."), APP_NAME, MB_ICONERROR | MB_OK | MB_SYSTEMMODAL, MAKELANGID (LANG_ENGLISH, SUBLANG_ENGLISH_US));
      return 0;
    }
  
  /* Run uninstall command */
  GetWindowsDirectory (sWinDir, MAX_PATH);
  wsprintf (sCommand, TEXT ("advpack.dll,LaunchINFSection %s\\INF\\msmsgs.inf,BLC.Remove"), sWinDir);
  ShellExecute (NULL, TEXT ("open"), TEXT ("rundll32.exe"), sCommand, NULL, SW_NORMAL);
  return 0;
}
